Coolify logoCoolify
GET
/services/{uuid}/envs

List all envs by service UUID.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

UUID of the service.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.coolify.io/api/v1/services/string/envs"
[  {    "id": 0,    "uuid": "string",    "resourceable_type": "string",    "resourceable_id": 0,    "is_literal": true,    "is_multiline": true,    "is_preview": true,    "is_runtime": true,    "is_buildtime": true,    "is_shared": true,    "is_shown_once": true,    "key": "string",    "value": "string",    "real_value": "string",    "version": "string",    "created_at": "string",    "updated_at": "string"  }]
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
{  "message": "Resource not found."}